%define name mozilla
%define version 5.0
%define release 3mdk
%define mozrel 0.M13

Name:      %{name}
Summary:   Mozilla, open-source web browser
Version:   %{version}.%{mozrel} 
Release:   %{release}
Serial:    0
Copyright: MPL/NPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/m13/src/mozilla-source-M13.tar.bz2
Source1:   mozilla.sh
Source2:   mozilla
Buildroot: /var/tmp/%{name}-buildroot
Prefix:    /usr
Group:     Mozilla
Url: http://www.mozilla.org

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 
This the M13 release.

%package mail
Summary: mozilla-mail
Group: Mozilla
PreReq: mozilla-browser
%package browser
Summary: mozilla-browser
Group: Mozilla
PreReq: mozilla-install
%package install
Summary: mozilla-install
Group: Mozilla
%description mail
Mozilla Mail/News
%description browser
Mozilla browser
%description install

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n mozilla
./configure --enable-optimize --disable-debug --with-extensions

%build
export NSDISTMODE=copy

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi

make export
make libs MAKE="make -j $NRPROC"
make install

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/html
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/entityTables
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/rdf
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/throbber
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/toolbar
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/xpinstall
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/profile
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/mozilla
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/mozilla/idl
ln -s ../../share/mozilla/chrome $RPM_BUILD_ROOT%{prefix}/lib/mozilla/chrome
ln -s ../../share/mozilla/res    $RPM_BUILD_ROOT%{prefix}/lib/mozilla/res
ln -s ../../share/mozilla/defaults $RPM_BUILD_ROOT%{prefix}/lib/mozilla/defaults
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
cd $RPM_BUILD_DIR/mozilla
install dist/bin/components/addrbook.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libaddrbook.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/liblocalmail.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmailnews.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmime.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmimeemitter.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmork.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmsgcompose.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmsgdb.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmsgimap.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmsgnews.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libvcard.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mailnews.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
install dist/bin/components/mime.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msgbase.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msgcompose.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msgdb.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msgimap.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msglocal.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msgnews.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/msgsearch.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/txmgr.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/addressbook ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/addressbook
fi
cp -r dist/bin/chrome/addressbook/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/addressbook/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/messenger ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/messenger
fi
cp -r dist/bin/chrome/messenger/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/messenger/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/messengercompose ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/messengercompose
fi
cp -r dist/bin/chrome/messengercompose/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/messengercompose/
cp dist/bin/defaults/pref/mailnews.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/mozilla $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/mozilla-bin $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/libappcores.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libdocshell.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libgfx_gtk.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libgtksuperwin.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libmsgbaseutil.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libnsappshell.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libraptorgfx.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libraptorplugin.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libraptorwebwidget.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libwidget_gtk.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libxlibrgb.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/netscape.cfg $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/run-mozilla.sh $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/regExport $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/regxpcom $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/vreg $RPM_BUILD_ROOT%{prefix}/bin/
cp dist/bin/components/addrbook.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/appcores.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/appshell.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/bookmarks.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/caps.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/cookieviewer.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/directory.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/dom.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/editor.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/gfx.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/history.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/intl.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/jar.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libbookmarks.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libcaps.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libchardet.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libchrome.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libconverters.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libcookie.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libdirectory.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libender.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libgfxps.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libhistory.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libjsurl.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/liblwbrk.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmimetype.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmozbrwsr.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmozfind.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmozucth.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libmozxfer.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_about.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_data.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_datetime.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_file.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_ftp.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_http.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_resource.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnsgif.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnsjpg.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnslocale.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnspng.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/liboji.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libpref.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libprofile.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libraptorhtml.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libraptorhtmlpars.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libraptorview.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/librdf.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/librelated.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libshistory.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libsigned.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libsmime.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libstreamconv.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libstrres.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libtimer_gtk.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libtoolkit_service.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libtxmgr.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libtxtsvc.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libuconv.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvcn.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvibm.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvja.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvko.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvlatin.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvtw.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libucvtw2.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libunicharutil.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/liburiloader.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libwallet.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libwalletviewers.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libxpconnect.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libxpiflash.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/locale.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mime.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mozbrwsr.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mozcomps.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mozfind.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mozucth.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/mozxfer.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_about.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_base.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_data.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_dns.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_file.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_ftp.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_http.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_socket.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_stream_converter.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/nkcache.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/nsSidebar.js $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpinstall.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/oji.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/pref.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/proxyObjInst.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/rdf.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/related.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/shistory.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/sidebar.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/signonviewer.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/unicharutil.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/uriloader.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/walleteditor.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/walletpreview.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/widget.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpcom_base.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpcom_ds.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpcom_io.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpconnect.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/chrome.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/docshell.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/jsurl.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/layout.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libjsloader.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_cache.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_jar.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnecko_res.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnkkeyword.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libnsprefm.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libregviewer.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libsample.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libsearch.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_jar.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/necko_res.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/nsCategoryManager.js $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/nsSample.js $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/prefmigr.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/profile.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/regviewer.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/sample.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/search.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/uconv.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/util.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpcom_components.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/xpcom_threads.xpt $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/bookmarks ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/bookmarks
fi
cp -r dist/bin/chrome/bookmarks/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/bookmarks/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/chatzilla ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/chatzilla
fi
cp -r dist/bin/chrome/chatzilla/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/chatzilla/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/directory ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/directory
fi
cp -r dist/bin/chrome/directory/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/directory/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/editor ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/editor
fi
cp -r dist/bin/chrome/editor/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/editor/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/global ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/global
fi
cp -r dist/bin/chrome/global/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/global/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/history ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/history
fi
cp -r dist/bin/chrome/history/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/history/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/navigator ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/navigator
fi
cp -r dist/bin/chrome/navigator/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/navigator/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/pref ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/pref
fi
cp -r dist/bin/chrome/pref/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/pref/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/profile ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/profile
fi
cp -r dist/bin/chrome/profile/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/profile/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/regviewer ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/regviewer
fi
cp -r dist/bin/chrome/regviewer/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/regviewer/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/related ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/related
fi
cp -r dist/bin/chrome/related/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/related/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/search ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/search
fi
cp -r dist/bin/chrome/search/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/search/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/sidebar ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/sidebar
fi
cp -r dist/bin/chrome/sidebar/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/sidebar/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/wallet ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/wallet
fi
cp -r dist/bin/chrome/wallet/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/wallet/
if [ ! -d $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/xpinstall ]; then
	mkdir $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/xpinstall
fi
cp -r dist/bin/chrome/xpinstall/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/xpinstall/
cp dist/bin/chrome/xul.css $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/
cp dist/bin/chrome/xulBindings.xml $RPM_BUILD_ROOT%{prefix}/share/mozilla/chrome/
cp dist/bin/defaults/pref/editor.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/defaults/pref/all.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/defaults/pref/config.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/defaults/pref/initpref.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/defaults/pref/unix.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/defaults/pref/xpinstall.js $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/pref/
cp dist/bin/defaults/profile/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/defaults/profile/
cp -r dist/bin/res/entityTables/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/entityTables/
cp dist/bin/res/FieldSchema.tbl $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/SchemaConcat.tbl $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/URLFieldSchema.tbl $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/arrow.gif $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/charsetData.properties $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/charsetTitles.properties $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/charsetalias.properties $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/unixcharset.properties $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/res/html.css $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp -r dist/bin/res/html/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/html/
cp dist/bin/res/rdf/article.gif $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/rdf/
cp dist/bin/res/rdf/document.gif $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/rdf/
cp dist/bin/res/rdf/folder-closed.gif $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/rdf/
cp dist/bin/res/rdf/folder-open.gif $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/rdf/
cp dist/bin/res/rdf/loading.gif $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/rdf/
cp -r dist/bin/res/xpinstall/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/xpinstall/
cp -r dist/bin/res/throbber/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/throbber/
cp -r dist/bin/res/toolbar/* $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/toolbar/
cp dist/bin/res/ua.css $RPM_BUILD_ROOT%{prefix}/share/mozilla/res/
cp dist/bin/libjsdom.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libjsj.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libmozjs.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libnspr3.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libplc3.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libplds3.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libxpcom.so $RPM_BUILD_ROOT%{prefix}/lib/
cp dist/bin/libxpistub.so $RPM_BUILD_ROOT%{prefix}/lib/
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/lib*.so
cp dist/bin/components/libxpinstall.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp dist/bin/components/libjar50.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
#cp dist/bin/component.reg $RPM_BUILD_ROOT%{prefix}/bin/

# Make sure that we overwrite the mozilla installed with ours.
cp %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/bin/mozilla

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/mozilla $RPM_BUILD_ROOT/usr/lib/menu/

%clean
rm -rf $RPM_BUILD_ROOT

%post install
ldconfig

%postun install
ldconfig

# menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%post browser
ldconfig
MOZILLA_FIVE_HOME=/usr/lib/mozilla %{prefix}/bin/regxpcom

## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi  

%postun browser
ldconfig
rm -f %{prefix}/lib/mozilla/component.reg

## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi 


%post mail
ldconfig
MOZILLA_FIVE_HOME=/usr/lib/mozilla %{prefix}/bin/regxpcom

%postun mail
ldconfig
MOZILLA_FIVE_HOME=/usr/lib/mozilla %{prefix}/bin/regxpcom

%files mail
%defattr (-,root,root)
%{prefix}/lib/mozilla/components/addrbook.xpt
%{prefix}/lib/mozilla/components/libaddrbook.so
%{prefix}/lib/mozilla/components/liblocalmail.so
%{prefix}/lib/mozilla/components/libmailnews.so
%{prefix}/lib/mozilla/components/libmime.so
%{prefix}/lib/mozilla/components/libmimeemitter.so
%{prefix}/lib/mozilla/components/libmork.so
%{prefix}/lib/mozilla/components/libmsgcompose.so
%{prefix}/lib/mozilla/components/libmsgdb.so
%{prefix}/lib/mozilla/components/libmsgimap.so
%{prefix}/lib/mozilla/components/libmsgnews.so
%{prefix}/lib/mozilla/components/libvcard.so
%{prefix}/lib/mozilla/components/mailnews.xpt
%{prefix}/lib/mozilla/components/mime.xpt
%{prefix}/lib/mozilla/components/msgbase.xpt
%{prefix}/lib/mozilla/components/msgcompose.xpt
%{prefix}/lib/mozilla/components/msgdb.xpt
%{prefix}/lib/mozilla/components/msgimap.xpt
%{prefix}/lib/mozilla/components/msglocal.xpt
%{prefix}/lib/mozilla/components/msgnews.xpt
%{prefix}/lib/mozilla/components/msgsearch.xpt
%{prefix}/lib/mozilla/components/txmgr.xpt
%{prefix}/share/mozilla/chrome/addressbook
%{prefix}/share/mozilla/chrome/messenger
%{prefix}/share/mozilla/chrome/messengercompose
%{prefix}/share/mozilla/defaults/pref/mailnews.js

%files browser
%defattr (-,root,root)
%{prefix}/bin/mozilla
%{prefix}/bin/mozilla-bin
%{prefix}/lib/libappcores.so
%{prefix}/lib/libdocshell.so
%{prefix}/lib/libgfx_gtk.so
%{prefix}/lib/libgtksuperwin.so
%{prefix}/lib/libjsj.so
%{prefix}/lib/libmsgbaseutil.so
%{prefix}/lib/libnsappshell.so
%{prefix}/lib/libraptorgfx.so
%{prefix}/lib/libraptorplugin.so
%{prefix}/lib/libraptorwebwidget.so
%{prefix}/lib/libwidget_gtk.so
%{prefix}/lib/libxlibrgb.so
%{prefix}/lib/libxpistub.so
%{prefix}/bin/netscape.cfg
%{prefix}/bin/run-mozilla.sh
%{prefix}/bin/regExport
%{prefix}/bin/regxpcom
%{prefix}/bin/vreg
%{prefix}/lib/mozilla/components/addrbook.xpt
%{prefix}/lib/mozilla/components/appcores.xpt
%{prefix}/lib/mozilla/components/appshell.xpt
%{prefix}/lib/mozilla/components/bookmarks.xpt
%{prefix}/lib/mozilla/components/caps.xpt
%{prefix}/lib/mozilla/components/cookieviewer.xpt
%{prefix}/lib/mozilla/components/directory.xpt
%{prefix}/lib/mozilla/components/dom.xpt
%{prefix}/lib/mozilla/components/editor.xpt
%{prefix}/lib/mozilla/components/gfx.xpt
%{prefix}/lib/mozilla/components/history.xpt
%{prefix}/lib/mozilla/components/intl.xpt
%{prefix}/lib/mozilla/components/jar.xpt
%{prefix}/lib/mozilla/components/libbookmarks.so
%{prefix}/lib/mozilla/components/libcaps.so
%{prefix}/lib/mozilla/components/libchardet.so
%{prefix}/lib/mozilla/components/libchrome.so
%{prefix}/lib/mozilla/components/libconverters.so
%{prefix}/lib/mozilla/components/libcookie.so
%{prefix}/lib/mozilla/components/libdirectory.so
%{prefix}/lib/mozilla/components/libender.so
%{prefix}/lib/mozilla/components/libgfxps.so
%{prefix}/lib/mozilla/components/libhistory.so
%{prefix}/lib/mozilla/components/libjsurl.so
%{prefix}/lib/mozilla/components/liblwbrk.so
%{prefix}/lib/mozilla/components/libmimetype.so
%{prefix}/lib/mozilla/components/libmozbrwsr.so
%{prefix}/lib/mozilla/components/libmozfind.so
%{prefix}/lib/mozilla/components/libmozucth.so
%{prefix}/lib/mozilla/components/libmozxfer.so
%{prefix}/lib/mozilla/components/libnecko.so
%{prefix}/lib/mozilla/components/libnecko_about.so
%{prefix}/lib/mozilla/components/libnecko_data.so
%{prefix}/lib/mozilla/components/libnecko_file.so
%{prefix}/lib/mozilla/components/libnecko_ftp.so
%{prefix}/lib/mozilla/components/libnecko_http.so
%{prefix}/lib/mozilla/components/libnecko_resource.so
%{prefix}/lib/mozilla/components/libnsgif.so
%{prefix}/lib/mozilla/components/libnsjpg.so
%{prefix}/lib/mozilla/components/libnslocale.so
%{prefix}/lib/mozilla/components/libnspng.so
%{prefix}/lib/mozilla/components/libpref.so
%{prefix}/lib/mozilla/components/libprofile.so
%{prefix}/lib/mozilla/components/libraptorhtml.so
%{prefix}/lib/mozilla/components/libraptorhtmlpars.so
%{prefix}/lib/mozilla/components/libraptorview.so
%{prefix}/lib/mozilla/components/librdf.so
%{prefix}/lib/mozilla/components/librelated.so
%{prefix}/lib/mozilla/components/libstreamconv.so
%{prefix}/lib/mozilla/components/libstrres.so
%{prefix}/lib/mozilla/components/libtimer_gtk.so
%{prefix}/lib/mozilla/components/libtoolkit_service.so
%{prefix}/lib/mozilla/components/libtxmgr.so
%{prefix}/lib/mozilla/components/libtxtsvc.so
%{prefix}/lib/mozilla/components/libuconv.so
%{prefix}/lib/mozilla/components/libucvcn.so
%{prefix}/lib/mozilla/components/libucvja.so
%{prefix}/lib/mozilla/components/libucvko.so
%{prefix}/lib/mozilla/components/libucvlatin.so
%{prefix}/lib/mozilla/components/libucvtw.so
%{prefix}/lib/mozilla/components/libucvtw2.so
%{prefix}/lib/mozilla/components/libunicharutil.so
%{prefix}/lib/mozilla/components/liburiloader.so
%{prefix}/lib/mozilla/components/libwallet.so
%{prefix}/lib/mozilla/components/libwalletviewers.so
%{prefix}/lib/mozilla/components/libxpconnect.so
%{prefix}/lib/mozilla/components/libxpiflash.so
%{prefix}/lib/mozilla/components/locale.xpt
%{prefix}/lib/mozilla/components/mime.xpt
%{prefix}/lib/mozilla/components/mozbrwsr.xpt
%{prefix}/lib/mozilla/components/mozcomps.xpt
%{prefix}/lib/mozilla/components/mozfind.xpt
%{prefix}/lib/mozilla/components/mozucth.xpt
%{prefix}/lib/mozilla/components/mozxfer.xpt
%{prefix}/lib/mozilla/components/necko_about.xpt
%{prefix}/lib/mozilla/components/necko_base.xpt
%{prefix}/lib/mozilla/components/necko_data.xpt
%{prefix}/lib/mozilla/components/necko_dns.xpt
%{prefix}/lib/mozilla/components/necko_file.xpt
%{prefix}/lib/mozilla/components/necko_ftp.xpt
%{prefix}/lib/mozilla/components/necko_http.xpt
%{prefix}/lib/mozilla/components/necko_socket.xpt
%{prefix}/lib/mozilla/components/necko_stream_converter.xpt
%{prefix}/lib/mozilla/components/nkcache.xpt
%{prefix}/lib/mozilla/components/nsSidebar.js
%{prefix}/lib/mozilla/components/xpinstall.xpt
%{prefix}/lib/mozilla/components/oji.xpt
%{prefix}/lib/mozilla/components/pref.xpt
%{prefix}/lib/mozilla/components/proxyObjInst.xpt
%{prefix}/lib/mozilla/components/rdf.xpt
%{prefix}/lib/mozilla/components/related.xpt
%{prefix}/lib/mozilla/components/sidebar.xpt
%{prefix}/lib/mozilla/components/signonviewer.xpt
%{prefix}/lib/mozilla/components/unicharutil.xpt
%{prefix}/lib/mozilla/components/uriloader.xpt
%{prefix}/lib/mozilla/components/walleteditor.xpt
%{prefix}/lib/mozilla/components/walletpreview.xpt
%{prefix}/lib/mozilla/components/widget.xpt
%{prefix}/lib/mozilla/components/xpcom_base.xpt
%{prefix}/lib/mozilla/components/xpcom_ds.xpt
%{prefix}/lib/mozilla/components/xpcom_io.xpt
%{prefix}/lib/mozilla/components/xpconnect.xpt
%{prefix}/lib/mozilla/components/docshell.xpt
%{prefix}/lib/mozilla/components/jsurl.xpt
%{prefix}/lib/mozilla/components/layout.xpt
%{prefix}/lib/mozilla/components/libjsloader.so
%{prefix}/lib/mozilla/components/libnecko_cache.so
%{prefix}/lib/mozilla/components/libnecko_datetime.so
%{prefix}/lib/mozilla/components/libnecko_jar.so
%{prefix}/lib/mozilla/components/libnecko_res.so
%{prefix}/lib/mozilla/components/libnkkeyword.so
%{prefix}/lib/mozilla/components/libnsprefm.so
%{prefix}/lib/mozilla/components/liboji.so
%{prefix}/lib/mozilla/components/libregviewer.so
%{prefix}/lib/mozilla/components/libsample.so
%{prefix}/lib/mozilla/components/libsearch.so
%{prefix}/lib/mozilla/components/libshistory.so
%{prefix}/lib/mozilla/components/libsigned.so
%{prefix}/lib/mozilla/components/libsmime.so
%{prefix}/lib/mozilla/components/libucvibm.so
%{prefix}/lib/mozilla/components/necko_jar.xpt
%{prefix}/lib/mozilla/components/necko_res.xpt
%{prefix}/lib/mozilla/components/nsCategoryManager.js
%{prefix}/lib/mozilla/components/nsSample.js
%{prefix}/lib/mozilla/components/prefmigr.xpt
%{prefix}/lib/mozilla/components/profile.xpt
%{prefix}/lib/mozilla/components/regviewer.xpt
%{prefix}/lib/mozilla/components/sample.xpt
%{prefix}/lib/mozilla/components/search.xpt
%{prefix}/lib/mozilla/components/shistory.xpt
%{prefix}/lib/mozilla/components/uconv.xpt
%{prefix}/lib/mozilla/components/util.xpt
%{prefix}/lib/mozilla/components/xpcom_components.xpt
%{prefix}/lib/mozilla/components/xpcom_threads.xpt
%{prefix}/share/mozilla/chrome/bookmarks
%{prefix}/share/mozilla/chrome/chatzilla
%{prefix}/share/mozilla/chrome/directory
%{prefix}/share/mozilla/chrome/editor
%{prefix}/share/mozilla/chrome/global
%{prefix}/share/mozilla/chrome/history
%{prefix}/share/mozilla/chrome/navigator
%{prefix}/share/mozilla/chrome/pref
%{prefix}/share/mozilla/chrome/profile
%{prefix}/share/mozilla/chrome/regviewer
%{prefix}/share/mozilla/chrome/related
%{prefix}/share/mozilla/chrome/search
%{prefix}/share/mozilla/chrome/sidebar
%{prefix}/share/mozilla/chrome/wallet
%{prefix}/share/mozilla/chrome/xpinstall
%{prefix}/share/mozilla/chrome/xul.css
%{prefix}/share/mozilla/chrome/xulBindings.xml
%{prefix}/share/mozilla/defaults/pref/editor.js
%{prefix}/share/mozilla/defaults/pref/all.js
%{prefix}/share/mozilla/defaults/pref/config.js
%{prefix}/share/mozilla/defaults/pref/initpref.js
%{prefix}/share/mozilla/defaults/pref/unix.js
%{prefix}/share/mozilla/defaults/pref/xpinstall.js
%{prefix}/share/mozilla/defaults/profile/*
%{prefix}/share/mozilla/res/entityTables/
%{prefix}/share/mozilla/res/FieldSchema.tbl
%{prefix}/share/mozilla/res/SchemaConcat.tbl
%{prefix}/share/mozilla/res/URLFieldSchema.tbl
%{prefix}/share/mozilla/res/arrow.gif
%{prefix}/share/mozilla/res/charsetData.properties
%{prefix}/share/mozilla/res/charsetTitles.properties
%{prefix}/share/mozilla/res/charsetalias.properties
%{prefix}/share/mozilla/res/unixcharset.properties
%{prefix}/share/mozilla/res/html.css
%{prefix}/share/mozilla/res/html/
%{prefix}/share/mozilla/res/rdf/article.gif
%{prefix}/share/mozilla/res/rdf/document.gif
%{prefix}/share/mozilla/res/rdf/folder-closed.gif
%{prefix}/share/mozilla/res/rdf/folder-open.gif
%{prefix}/share/mozilla/res/rdf/loading.gif
%{prefix}/share/mozilla/res/xpinstall/
%{prefix}/share/mozilla/res/throbber/
%{prefix}/share/mozilla/res/toolbar/
%{prefix}/share/mozilla/res/ua.css
%{prefix}/lib/menu/mozilla

%files install
%defattr (-,root,root)
%{prefix}/lib/libjsdom.so
%{prefix}/lib/libmozjs.so
%{prefix}/lib/libnspr3.so
%{prefix}/lib/libplc3.so
%{prefix}/lib/libplds3.so
%{prefix}/lib/libxpcom.so
%{prefix}/lib/mozilla/components/libxpinstall.so
%{prefix}/lib/mozilla/components/libjar50.so
#%{prefix}/bin/component.reg
%{prefix}/lib/mozilla/chrome
%{prefix}/lib/mozilla/res
%{prefix}/lib/mozilla/defaults

%changelog
* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
